package com.neusoft.smart.pos.payment.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class GrantPayOrder implements Serializable {
    private Integer id;

    private String mcode;

    private String mOrderNumber;

    private String mPayOrderNumber;

    private String tradeId;

    private String outerOrderNumber;

    private String outerPayOrderNumber;

    private String authNo;

    private String payerUserId;

    private String description;

    private String payType;

    private Long payAmount;

    private Long grantAmount;

    private Long unfreezeAmount;

    private String notifyUrl;

    private String grantStatus;

    private String timeExpire;

    private Date payTime;

    private String scanCode;

    private String codeUrl;

    private String payIp;

    private String openId;

    private String tradeType;

    private Date grantTime;

    private Date ungrantTime;

    private Date reverseTime;

    private Date createdAt;

    private String createdBy;

    private String updatedBy;

    private Date updatedAt;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMcode() {
        return mcode;
    }

    public void setMcode(String mcode) {
        this.mcode = mcode == null ? null : mcode.trim();
    }

    public String getmOrderNumber() {
        return mOrderNumber;
    }

    public void setmOrderNumber(String mOrderNumber) {
        this.mOrderNumber = mOrderNumber == null ? null : mOrderNumber.trim();
    }

    public String getmPayOrderNumber() {
        return mPayOrderNumber;
    }

    public void setmPayOrderNumber(String mPayOrderNumber) {
        this.mPayOrderNumber = mPayOrderNumber == null ? null : mPayOrderNumber.trim();
    }

    public String getTradeId() {
        return tradeId;
    }

    public void setTradeId(String tradeId) {
        this.tradeId = tradeId == null ? null : tradeId.trim();
    }

    public String getOuterOrderNumber() {
        return outerOrderNumber;
    }

    public void setOuterOrderNumber(String outerOrderNumber) {
        this.outerOrderNumber = outerOrderNumber == null ? null : outerOrderNumber.trim();
    }

    public String getOuterPayOrderNumber() {
        return outerPayOrderNumber;
    }

    public void setOuterPayOrderNumber(String outerPayOrderNumber) {
        this.outerPayOrderNumber = outerPayOrderNumber == null ? null : outerPayOrderNumber.trim();
    }

    public String getAuthNo() {
        return authNo;
    }

    public void setAuthNo(String authNo) {
        this.authNo = authNo == null ? null : authNo.trim();
    }

    public String getPayerUserId() {
        return payerUserId;
    }

    public void setPayerUserId(String payerUserId) {
        this.payerUserId = payerUserId == null ? null : payerUserId.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType == null ? null : payType.trim();
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }

    public Long getGrantAmount() {
        return grantAmount;
    }

    public void setGrantAmount(Long grantAmount) {
        this.grantAmount = grantAmount;
    }

    public Long getUnfreezeAmount() {
        return unfreezeAmount;
    }

    public void setUnfreezeAmount(Long unfreezeAmount) {
        this.unfreezeAmount = unfreezeAmount;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl == null ? null : notifyUrl.trim();
    }

    public String getGrantStatus() {
        return grantStatus;
    }

    public void setGrantStatus(String grantStatus) {
        this.grantStatus = grantStatus == null ? null : grantStatus.trim();
    }

    public String getTimeExpire() {
        return timeExpire;
    }

    public void setTimeExpire(String timeExpire) {
        this.timeExpire = timeExpire == null ? null : timeExpire.trim();
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public String getScanCode() {
        return scanCode;
    }

    public void setScanCode(String scanCode) {
        this.scanCode = scanCode == null ? null : scanCode.trim();
    }

    public String getCodeUrl() {
        return codeUrl;
    }

    public void setCodeUrl(String codeUrl) {
        this.codeUrl = codeUrl == null ? null : codeUrl.trim();
    }

    public String getPayIp() {
        return payIp;
    }

    public void setPayIp(String payIp) {
        this.payIp = payIp == null ? null : payIp.trim();
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId == null ? null : openId.trim();
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType == null ? null : tradeType.trim();
    }

    public Date getGrantTime() {
        return grantTime;
    }

    public void setGrantTime(Date grantTime) {
        this.grantTime = grantTime;
    }

    public Date getUngrantTime() {
        return ungrantTime;
    }

    public void setUngrantTime(Date ungrantTime) {
        this.ungrantTime = ungrantTime;
    }

    public Date getReverseTime() {
        return reverseTime;
    }

    public void setReverseTime(Date reverseTime) {
        this.reverseTime = reverseTime;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }
}